# AODataKeyGetAdjacency

Gets the adjacency graph for a key.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyGetAdjacency(AOData aodata,const char key[],Mat *adj)

Collective on AOData

### Input Parameters

| aodata | - the database
| key | - the key

### Output Parameter

adj -the adjacency graph

### Keywords

database, adjacency graph

### See Also

AODataKeyRemap()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages